Halide 22.0.0 Halide compiler and libraries

Public Attributes | List of all members
stDmaWrapper_DmaTransferSetup Struct Reference

DmaTransferSetup Properties. More...

`#include <mini_hexagon_dma.h>`

## Public Attributes
uint16 | u16FrameW
| Frame Width in pixels. More...
uint16 | u16FrameH
| Frame height in pixels. More...
uint16 | u16FrameStride
| Frame stride in pixels. More...
uint16 | u16RoiX
| ROI x position in pixels. More...
uint16 | u16RoiY
| ROI y position in pixels. More...
uint16 | u16RoiW
| ROI width in pixels. More...
uint16 | u16RoiH
| ROI height in pixels. More...
uint16 | u16RoiStride
| ROI stride in pixels. More...
void * | pDescBuf
| Virtual address of the HW descriptor buffer (must be locked in the L2$). More...
void * | pTcmDataBuf
| Virtual address of the TCM pixeldata buffer (must be locked in the L2$). More...
void * | pFrameBuf
| Virtual address of the DDR Frame buffer . More...
uint16 | bIsFmtUbwc
uint16 | bUse16BitPaddingInL2
| Should the intermediate buffer be padded. This only apply for 8bit format sucha NV12, NV12-4R. More...
t_eDmaFmt | eFmt
| Format. More...
t_eDmaWrapper_TransationType | eTransferType
| TransferType: eDmaWrapper_DdrToL2 (Read from DDR), eDmaWrapper_L2ToDDR (Write to DDR);. More...

## Detailed Description

DmaTransferSetup Properties.

Definition at line 114 of file mini_hexagon_dma.h.

## Member Data Documentation

## ◆ u16FrameW

uint16 stDmaWrapper_DmaTransferSetup::u16FrameW

Frame Width in pixels.

Definition at line 116 of file mini_hexagon_dma.h.

## ◆ u16FrameH

uint16 stDmaWrapper_DmaTransferSetup::u16FrameH

Frame height in pixels.

Definition at line 118 of file mini_hexagon_dma.h.

## ◆ u16FrameStride

uint16 stDmaWrapper_DmaTransferSetup::u16FrameStride

Frame stride in pixels.

Definition at line 120 of file mini_hexagon_dma.h.

## ◆ u16RoiX

uint16 stDmaWrapper_DmaTransferSetup::u16RoiX

ROI x position in pixels.

Definition at line 122 of file mini_hexagon_dma.h.

## ◆ u16RoiY

uint16 stDmaWrapper_DmaTransferSetup::u16RoiY

ROI y position in pixels.

Definition at line 124 of file mini_hexagon_dma.h.

## ◆ u16RoiW

uint16 stDmaWrapper_DmaTransferSetup::u16RoiW

ROI width in pixels.

Definition at line 126 of file mini_hexagon_dma.h.

## ◆ u16RoiH

uint16 stDmaWrapper_DmaTransferSetup::u16RoiH

ROI height in pixels.

Definition at line 128 of file mini_hexagon_dma.h.

## ◆ u16RoiStride

uint16 stDmaWrapper_DmaTransferSetup::u16RoiStride

ROI stride in pixels.

Definition at line 130 of file mini_hexagon_dma.h.

## ◆ pDescBuf

void* stDmaWrapper_DmaTransferSetup::pDescBuf

Virtual address of the HW descriptor buffer (must be locked in the L2$).

Definition at line 132 of file mini_hexagon_dma.h.

## ◆ pTcmDataBuf

void* stDmaWrapper_DmaTransferSetup::pTcmDataBuf

Virtual address of the TCM pixeldata buffer (must be locked in the L2$).

Definition at line 134 of file mini_hexagon_dma.h.

## ◆ pFrameBuf

void* stDmaWrapper_DmaTransferSetup::pFrameBuf

Virtual address of the DDR Frame buffer .

Definition at line 136 of file mini_hexagon_dma.h.

## ◆ bIsFmtUbwc

uint16 stDmaWrapper_DmaTransferSetup::bIsFmtUbwc

Definition at line 138 of file mini_hexagon_dma.h.

## ◆ bUse16BitPaddingInL2

uint16 stDmaWrapper_DmaTransferSetup::bUse16BitPaddingInL2

Should the intermediate buffer be padded. This only apply for 8bit format sucha NV12, NV12-4R.

Definition at line 140 of file mini_hexagon_dma.h.

## ◆ eFmt

t_eDmaFmt stDmaWrapper_DmaTransferSetup::eFmt

Format.

Definition at line 142 of file mini_hexagon_dma.h.

## ◆ eTransferType

t_eDmaWrapper_TransationType stDmaWrapper_DmaTransferSetup::eTransferType

TransferType: eDmaWrapper_DdrToL2 (Read from DDR), eDmaWrapper_L2ToDDR (Write to DDR);.

Definition at line 144 of file mini_hexagon_dma.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_hexagon_dma.h